ompi/mca/coll/sm/coll_sm_allreduce.c File Reference.TH "ompi/mca/coll/sm/coll_sm_allreduce.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/coll/sm/coll_sm_allreduce.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'ompi/include/constants.h'\fP
.br
\fC#include 'coll_sm.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBmca_coll_sm_allreduce_intra\fP (void *sbuf, void *rbuf, int count, struct ompi_datatype_t *dtype, struct \fBompi_op_t\fP *op, struct ompi_communicator_t *comm)"
.br
.RI "\fIShared memory allreduce. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int mca_coll_sm_allreduce_intra (void * sbuf, void * rbuf, int count, struct ompi_datatype_t * dtype, struct \fBompi_op_t\fP * op, struct ompi_communicator_t * comm)"
.PP
Shared memory allreduce. 
.PP
For the moment, all we're doing is a reduce to root==0 and then a broadcast. It is possible that we'll do something better someday. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
